<?php

namespace App\Entity;

use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\GetCollection;
use App\State\SalesByRegionProvider;

#[ApiResource(operations: [
    new GetCollection(
        uriTemplate: 'sales_by_region/{year}',
        provider: SalesByRegionProvider::class
    )
])]
class SalesByRegion
{
    protected string $region;
    protected int $numberSales;

    public function getRegion(): string
    {
        return $this->region;
    }

    public function getNumberSales(): int
    {
        return $this->numberSales;
    }

    public function setRegion(string $region): void
    {
        $this->region = $region;
    }

    public function setNumberSales(int $numberSales): void
    {
        $this->numberSales = $numberSales;
    }
}
